#
# spec file for package pdftohtml (Version 0.36)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm

Name:         pdftohtml
Summary:      PDF to HTML Converter
Version:      0.36
Release:      136
# % define version 0_35
Group:        Productivity/Publishing/PDF
#Requires:   xpdf
Obsoletes:    pdf2html
Provides:     pdf2html
License:      LGPL
URL:          http://www.ra.informatik.uni-stuttgart.de/~gosho/pdftohtml/
Source0:      http://belnet.dl.sourceforge.net/sourceforge/pdftohtml/pdftohtml-%{version}.tar.gz
#Was: http://www.ra.informatik.uni-stuttgart.de/~gosho/pdftohtml/Download/pdftohtml_%{version}.tar.gz
Patch0:       pdftohtml-tmpfile.diff
# Patch1:       xpdf-sec.diff
# Patch1:       pdf2html-0.35.diff
Patch10:      libgoo-sizet.patch
Patch11:      xpdf-CESA-2004-007-xpdf2-newer.diff
Patch12:      xpdf2-underflow.patch
Patch13:      xpdf-3.00pl2.patch
Patch14:      xpdf-decrypt.patch
Patch15:      xpdf-JBIG2Stream.patch
Patch16:      xpdf-Stream.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
PDF to HTML Converter

Authors:
--------
    Rainer Dorsch <rainer.dorsch@informatik.uni-stuttgart.de>

%define INSTALL install -m755
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
# -n %{name}-%version
%patch0 -p 1 -b .temp
%patch10 -p 1 -b .goosizet
# %patch1 -p 1 -b .src
cd xpdf
#%patch1 -b .temp
%patch11 -p 1 -b .cesa-2004-007
%patch12 -p 2 -b .underflow
%patch13 -p 1 -b .CAN-2004-1125
%patch14 -p 0 -b .decrypt
cd ..
%patch15
%patch16

%build
#CFLAGS=$RPM_OPT_FLAGS \
#  ./configure --prefix=/usr %{_target_cpu}-suse-linux-gnu
# LDFLAGS=-s
# make CXX=g++ "CFLAGS=$RPM_OPT_FLAGS" prefix=/usr 
make CXX=g++ DEBUG="$RPM_OPT_FLAGS" prefix=/usr 

%install
rm -fr $RPM_BUILD_ROOT
%{INSTALL_DIR} $RPM_BUILD_ROOT
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL} pdftohtml $RPM_BUILD_ROOT/usr/bin
# make install prefix=$RPM_BUILD_ROOT/usr
# make install.man

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README
%{_bindir}/*
# spec file ends here

%changelog -n pdftohtml
* Tue Jan 10 2006 - lrupp@suse.de
- fixed overflows found by Chris Evans and similiar ones
  no loop nor segfault with "bad pdfs" anymore - just exit
  see (#137156) for more details
* Wed Jan 19 2005 - ke@suse.de
- New xpdf-decrypt.patch provided by upstream author to fix
  CAN-2005-0064 [#49840].
* Fri Jan 14 2005 - ke@suse.de
- Apply xpdf-decrypt.patch to fix buffer overflow CAN-2005-0064
  [#49840].
- Apply xpdf security patch (xpdf-3.00pl2.patch) as prepared by Marcus
  Meissner.  CAN-2004-1125 [#49463].
* Wed Nov 03 2004 - ke@suse.de
- Continue with fixing arithmetic flaws; using patches provided by
  Marcus Meissner [#43082].
* Mon Oct 18 2004 - meissner@suse.de
- Added yet another sizeof() check that was missed (#44963)
* Tue Oct 12 2004 - thomas@suse.de
- replaced old xpdf patch with updated one (#44963)
* Wed Sep 29 2004 - thomas@suse.de
- added fix for integer overflows in xpdf code
* Fri Jul 25 2003 - ke@suse.de
- Add Obsoletes/Provides for pdf2html; reported by Adrian Schroeter.
* Wed Jul 16 2003 - ke@suse.de
- Update to version 0.35:
  * Add support for different Ghostscript output devices (-dev).
  * Update Xpdf to 2.02 (security fix).
  * A couple of fixes and tweaks for better output.
  * Fix bug which caused bold to spread from one sentence to the entire
  document.
  * Support for document outlines (bookmarks).
* Tue Jul 01 2003 - coolo@suse.de
- fix build for debug
* Wed Jan 15 2003 - ke@suse.de
- Update to version 0.34:
  * Better HTML 4.01 compliance.
  * Add meta author, keywords and date.
  * Add mechanism for correct charsets.
  * Fix bug with links pointing nowhere for '-c -noframes'.
  * Fix bug with page numbering.
  * Fix bug with collapsing text for '-c -noframes -i'.
  * Update Xpdf to 2.01.
* Wed Jul 10 2002 - ke@suse.de
- Update to version 0.34:
  * Bugfixes
  * Add pdf-vector drawings extraction
  * output for XML post-processing
  * zoom option
  * experimental ability to specify output encoding (UTF-8 might work)
  * ability to specify user/master password
  * fix core dump on documents with type 3 fonts only
  * fix bug with inline images not being handled properly
  * Ghostscript is executed from the program itself, no need for
  external script
  * ps output (for complex mode) is produced by pdftohtml, got rid of pdftops
  * several memory leaks fixed (should not crash on large files now)
  * join multiple <b></b>'s and <i></i>'s together
  * command line option to extract hidden text
  * parts of hrefs (links) are joined together (just like <b> and <i>)
  * paragraphs joined together
  * updated Xpdf to 1.01
  * can produce noframes (single html file) output for complex mode
- goo/gfile.c: Make sure to use mkstemp instead of tmpnam.
* Sun Dec 10 2000 - schwab@suse.de
- Fix missing declarations.
* Tue Apr 11 2000 - ke@suse.de
- make version 0.21 an official package.
* Tue Feb 15 2000 - ke@suse.de
- Initial package: version 0.20.
